import request from '@/utils/request'

// 查询招生计划列表
export function listMallAcceptPlan(query) {
  return request({
    url: '/mall/mallAcceptPlan/list',
    method: 'get',
    params: query
  })
}

// 查询招生计划详细
export function getMallAcceptPlan(acceptPlanId) {
  return request({
    url: '/mall/mallAcceptPlan/' + acceptPlanId,
    method: 'get'
  })
}

// 新增招生计划
export function addMallAcceptPlan(data) {
  return request({
    url: '/mall/mallAcceptPlan',
    method: 'post',
    data: data
  })
}

// 修改招生计划
export function updateMallAcceptPlan(data) {
  return request({
    url: '/mall/mallAcceptPlan',
    method: 'put',
    data: data
  })
}

// 删除招生计划
export function delMallAcceptPlan(acceptPlanId) {
  return request({
    url: '/mall/mallAcceptPlan/' + acceptPlanId,
    method: 'delete'
  })
}
